package com.sourcefellows.sideeffects;

import java.util.HashMap;
import java.util.Map;

public class Harbor {

    private Ships ships = new Ships();
    private Map<String, Ship> shipMap = new HashMap<>();

    public Harbor() {
    }

    public Harbor(Ships ships) {
        this.ships = ships;
    }

    public Map<String, Ship> getShips() {
        return shipMap;
    }

    public void setShips(Map<String, Ship> ships) {
        this.shipMap = ships;
    }
}
